#### D.15.2.8 latticeToMonomials

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  latticeToMonomials(L); a list L of points in N^2

Return:
  a list of monomials corresponding to the points in L

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    list NP = newtonPolygon(f);
    list L =latticePoints(NP);
    latticeToMonomials(L);
    ==> [1]:
    ==>    y8
    ==> [2]:
    ==>    xy6
    ==> [3]:
    ==>    x2y4
    ==> [4]:
    ==>    x3y3
    ==> [5]:
    ==>    x4y2
    ==> [6]:
    ==>    x9

User manual for Singular version 4.4.1, 2025, generated by texi2html.